--- title: "Get Trigger" slug: "compute-cloudfunctions-v2-gettrigger" tags: ["Cloud Functions"] updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-cloudfunctions-v2-gettrigger" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Trigger Available in Classic and VPC Get a Cloud Functions trigger. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /ncf/api/v2/triggers/{triggerName} | Note Singapore and Japan Regions are available only in the VPC environment. ### Request headers For information about the headers common to all Cloud Functions APIs, see [Cloud Functions request headers](/docs/en/compute-cloudfunctions#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `triggerName` | String | Required | Trigger name | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `platform` | String | Optional | Platform type - `vpc` (default) \| `classic` | ### Request example The request example is as follows: ``` curl -X GET 'https://cloudfunctions.apigw.ntruss.com/ncf/api/v2/triggers/{triggerName}?platform=vpc' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Information of the trigger | | `content.actions` | Array | - | List of actions connected to the trigger | | `content.description` | String | - | Trigger description | | `content.execOption` | Array | - | Execution options by trigger type: [execOption](/docs/en/compute-cloudfunctions-v2-gettrigger#execOption) | | `content.name` | String | - | Trigger name | | `content.resourceId` | String | - | Trigger's resource ID | | `content.type` | String | - | Trigger type | #### `execOption` The following describes `execOption`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `key` | String | - | Trigger type | | `value` | Integer | - | Trigger execution condition | ### Response status codes For information about the HTTP status codes common to all Cloud Functions APIs, see [Cloud Functions response status codes](/docs/en/compute-cloudfunctions#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "actions": [ "myaction" ], "description": "My GitHub trigger", "execOption": [ { "key": "events", "value": "*" } ], "name": "my_github_trigger", "resourceId": "NSRoF", "type": "github" } } ```